Bug 1439298 - [Ansible Embedded] - Wrong formatting of flash message after sorting table
Summary: [Ansible Embedded] - Wrong formatting of flash message after sorting table
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.8.0
Assignee: Martin Hradil
QA Contact: Aziza Karol
URL:
Whiteboard: ui:ansible_embed
Depends On: 1437361
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-05 15:52 UTC by Satoe Imaishi
Modified: 2017-05-31 14:48 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1437361
Environment:
Last Closed: 2017-05-31 14:48:29 UTC
Category: ---
Cloudforms Team: Ansible
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-05 22:53:16 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/d47955e965fbc68520c3f842171a7c0129fd8de2

commit d47955e965fbc68520c3f842171a7c0129fd8de2
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Wed Apr 5 12:08:13 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Apr 5 18:47:52 2017 -0400

    Merge pull request #911 from himdel/js-flash
    
    JS flash messages - unify, don't roundtrip to backend and back
    (cherry picked from commit 8d7dc75a4509ea262596930c9335f321a93177e5)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1439298

 app/assets/javascripts/application.js              |  1 +
 .../ansible_credentials_form_controller.js         | 10 ++-
 .../repository_form_controller.js                  | 12 +++-
 app/assets/javascripts/miq_application.js          | 57 +--------------
 app/assets/javascripts/miq_flash.js                | 81 ++++++++++++++++++++++
 app/assets/javascripts/services/miq_service.js     | 32 ++-------
 app/assets/javascripts/services/post_service.js    | 11 ++-
 app/views/dashboard/saml_login.html.haml           |  2 +
 app/views/layouts/login.html.haml                  |  1 +
 9 files changed, 120 insertions(+), 87 deletions(-)
 create mode 100644 app/assets/javascripts/miq_flash.js

Comment 3 Aziza Karol 2017-04-20 09:02:49 UTC
No Flash message when sorting the repos by name.

Verified:5.8.0.11-beta2.20170418170914_a53d2a7

Comment 5 errata-xmlrpc 2017-05-31 14:48:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.